Bug 252115 - lang/php73: Use pkg-config (pkgconfig) to detect freetype(2)
Summary: lang/php73: Use pkg-config (pkgconfig) to detect freetype(2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks: 251512
  Show dependency treegraph
 
Reported: 2020-12-24 18:41 UTC by daniel.engberg.lists
Modified: 2020-12-29 11:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Patch for php73 (2.75 KB, patch)
2020-12-24 18:41 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-12-24 18:41:54 UTC
Created attachment 220900 [details]
Patch for php73

Use pkg-config (pkgconfig) to detect freetype(2)
Patch obtained from Arch Linux

Reference:
https://aur.archlinux.org/cgit/aur.git/tree/freetype.patch?h=php73

Compile tested on FreeBSD 13.0-CURRENT #0 r367711 (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Torsten Zuehlsdorff freebsd_committer 2020-12-27 21:54:49 UTC
Aloha Daniel,

thank you for the patch! I have no rejections at all, but i also do not understand the improvements the patch brings. You can please give me some background on it?

Thank you very much!
Torsten
Comment 2 daniel.engberg.lists 2020-12-27 22:05:34 UTC
Hi,

I think this will answer your question
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251512#c9

Best regards,
Daniel
Comment 3 Torsten Zuehlsdorff freebsd_committer 2020-12-27 22:57:19 UTC
So we should switch to the prefered way of freetype itself? 

Just 2 questions:
1. Shouldn't this also be ported into PHP itself? Patching always introduces effort and it seems that your patch just does the right think. So should this not be the default in upstream?

2. Is PHP 7.4 and PHP 8.0 also effected? If so, can you please provide a patch (here in the issue)

Thanks! :)
Comment 4 daniel.engberg.lists 2020-12-28 07:07:15 UTC
This issue is fixed in php 7.4 and higher :-)
I didn't bother with 7.2 as it's scheduled for removal shortly.

Best regards,
Daniel
Comment 5 commit-hook freebsd_committer 2020-12-29 11:01:42 UTC
A commit references this bug:

Author: tz
Date: Tue Dec 29 11:01:21 UTC 2020
New revision: 559561
URL: https://svnweb.freebsd.org/changeset/ports/559561

Log:
  lang/php73: Use pkg-config to detect freetype

  In PHP 7.4 and above it is already in use.
  Also ignore PHP 7.2 because it is scheduled for removal.

  PR:		252115
  Submitted by:	<daniel.engberg.lists@pyret.net>
  Obtained from:	https://aur.archlinux.org/cgit/aur.git/tree/freetype.patch?h=php73

Changes:
  head/graphics/php73-gd/files/patch-config.m4
  head/lang/php73/Makefile.ext
Comment 6 Torsten Zuehlsdorff freebsd_committer 2020-12-29 11:02:18 UTC
Committed, thank you! :)